TruncateResponseHandler (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class TruncateResponseHandler

    java.lang.Object
      org.apache.cassandra.service.TruncateResponseHandler

All Implemented Interfaces:
  IAsyncCallback, IMessageCallback

    public class TruncateResponseHandler

extends java.lang.Object
implements IAsyncCallback

Field Summary
`protected SimpleCondition` | `condition`
`protected static org.slf4j.Logger` | `logger`
`protected java.util.concurrent.atomic.AtomicInteger` | `responses`

Constructor Summary
`TruncateResponseHandler(int responseCount)`

Method Summary
`void` | `get()`
`boolean` | `isLatencyForSnitch()`
`void` | `response(Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final org.slf4j.Logger logger

### condition

    protected final SimpleCondition condition

### responses

    protected java.util.concurrent.atomic.AtomicInteger responses

Constructor Detail

### TruncateResponseHandler

    public TruncateResponseHandler(int responseCount)

Method Detail

### get

    public void get()
             throws java.util.concurrent.TimeoutException

  Throws:
    `java.util.concurrent.TimeoutException`

### response

    public void response(Message message)

  Specified by:
    `response` in interface `IAsyncCallback`
  Parameters:
    `message` - response received.

### isLatencyForSnitch

    public boolean isLatencyForSnitch()

  Specified by:
    `isLatencyForSnitch` in interface `IMessageCallback`
  Returns:
    true if this callback is on the read path and its latency should be given as input to the dynamic snitch.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation